Subject: Re: may to MUST

From: "Jim Sermersheim" <[email-masked]>
Date: Tue, 12 Dec 2000 17:50:12 -0700

You're right Bob, the changelog is wrong. However, I agree with Mark's sentiment that there is the chance that some may/MUST manipulation happened without an exhaustive review, so I will re-submit a less-changed version of the document. The changes I pull out will be sent to the list for review before being re-changed. I'll likely pull more than just may/MUST manipulations. In fact I estimate of the 60 odd non-editorial changes, I'll pull 30-40. This means there may be 30-40 new threads to look forward to on the list (sorry). I'll try to keep the process as sane as possible.

Jim

>>> [email-masked] 12/12/00 11:01 AM >>>
Jim, Mark,

I believe that I can dispel some concerns that were brought up at the
ldapbis WG last night about changing a "may" to a "MUST."

>B.8 Section 4.1.5
>
>   - Changed "A server may treat" to "A server MUST treat" in the
>     second to last paragraph.
>   - Changed "A server MUST treat an AttributeDescription with any
>     options it does not implement as an unrecognized attribute type."
>     to "A server MUST treat an AttributeDescription with any options
>     it does not implement or support as an unrecognized attribute
>     type." in the second to last paragraph.

If I read this change log properly, the original 2251 document did not say
"may treat," it said "will treat."  So perhaps there is not an specification
change concern here.

Bob Joslin